﻿Imports System.Globalization

Public Class CarPriceValidationRule
    Inherits ValidationRule

    Public Overrides Function Validate(value As Object, cultureInfo As CultureInfo) As ValidationResult
        Dim val As Decimal
        If Decimal.TryParse(value.ToString, val) Then
            If val < 0 Then Return New ValidationResult(False, "Der Preis darf nicht kleiner als 0 sein!")
            Return ValidationResult.ValidResult
        Else
            Return New ValidationResult(False, "Ungültiger Wert!")
        End If
    End Function
End Class
